/*!
 * \file    CChildView.h
 * \brief   ChildView of JShark
 * \author  shinyak
 *
 * $Id$
 * Copyright (C) 2005- Shinya KAWANAKA All Rights Reserved.
 */

#pragma once

/*!
 * \class   CChildView
 * \brief   ChildView of JShark
 * \author  shinyak
 */
class CChildView : public CWnd
{
public:
	CChildView();
	~CChildView();

private:
	BOOL PreCreateWindow(CREATESTRUCT& cs);

private:
    DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

private:
    bool                m_isButtonPressing;
    std::vector<CPoint> m_orbit;
};

