/*!
 * \file    StdAssert.h
 * \brief   Standard Assert Utility
 * \author  shinyak
 *
 * Copyright (C) 2005- Shinya KAWANAKA All Rights Reserved.
 */

#pragma once

#define ASSERT_NOT_NULL(ptr)			BOOST_ASSERT(ptr)

inline void NOT_IMPLEMENTED_YET(bool throughable = true)
{
	BOOST_ASSERT(throughable);
}

#define ASSERT_DERIVED_FROM(ptr, type)	BOOST_ASSERT(dynamic_cast<const type*>(ptr) != NULL)
#define ASSERT_NOT_REACHED()			BOOST_ASSERT(false)
